﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан программой.
//     Исполняемая версия:4.0.30319.42000
//
//     Изменения в этом файле могут привести к неправильной работе и будут потеряны в случае
//     повторной генерации кода.
// </auto-generated>
//------------------------------------------------------------------------------

using System.Xml.Serialization;

// 
// Этот исходный код был создан с помощью xsd, версия=4.6.1055.0.
// 
namespace SignatureHelper.ClassesFromXSD.Assigment_Fact
{

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/msg/10.06.S/1.0.4")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "urn://egisso-ru/msg/10.06.S/1.0.4", IsNullable = false)]
    public partial class data
    {

        private tPackage packageField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
        public tPackage package
        {
            get
            {
                return this.packageField;
            }
            set
            {
                this.packageField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    [System.Xml.Serialization.XmlRootAttribute("package", Namespace = "urn://egisso-ru/types/package-RAF/1.0.5", IsNullable = false)]
    public partial class tPackage
    {

        private string packageIdField;

        private tPackageElements elementsField;

        /// <remarks/>
        public string packageId
        {
            get
            {
                return this.packageIdField;
            }
            set
            {
                this.packageIdField = value;
            }
        }

        /// <remarks/>
        public tPackageElements elements
        {
            get
            {
                return this.elementsField;
            }
            set
            {
                this.elementsField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tPackageElements
    {

        private tFactAssignment2[] factField;

        private tFactAlterationBasedOnRecalculation[] alterationBasedOnRecalculationField;

        private tFactAlterationBasedOnDeathOrMovingRecalculation[] alterationBasedOnDeathOrMovingRecalculationField;

        private tFactAlterationBasedOnPreviousErrors[] alterationBasedOnPreviousErrorsField;

        private tFactTermination[] terminationBasedOnRecalculationField;

        private tFactTermination[] terminationBasedOnIneligibilityField;

        private tFactInvalidation[] duplicatesInvalidationField;

        private tFactInvalidation[] errorsInvalidationField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("fact")]
        public tFactAssignment2[] fact
        {
            get
            {
                return this.factField;
            }
            set
            {
                this.factField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("alterationBasedOnRecalculation")]
        public tFactAlterationBasedOnRecalculation[] alterationBasedOnRecalculation
        {
            get
            {
                return this.alterationBasedOnRecalculationField;
            }
            set
            {
                this.alterationBasedOnRecalculationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("alterationBasedOnDeathOrMovingRecalculation")]
        public tFactAlterationBasedOnDeathOrMovingRecalculation[] alterationBasedOnDeathOrMovingRecalculation
        {
            get
            {
                return this.alterationBasedOnDeathOrMovingRecalculationField;
            }
            set
            {
                this.alterationBasedOnDeathOrMovingRecalculationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("alterationBasedOnPreviousErrors")]
        public tFactAlterationBasedOnPreviousErrors[] alterationBasedOnPreviousErrors
        {
            get
            {
                return this.alterationBasedOnPreviousErrorsField;
            }
            set
            {
                this.alterationBasedOnPreviousErrorsField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("terminationBasedOnRecalculation")]
        public tFactTermination[] terminationBasedOnRecalculation
        {
            get
            {
                return this.terminationBasedOnRecalculationField;
            }
            set
            {
                this.terminationBasedOnRecalculationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("terminationBasedOnIneligibility")]
        public tFactTermination[] terminationBasedOnIneligibility
        {
            get
            {
                return this.terminationBasedOnIneligibilityField;
            }
            set
            {
                this.terminationBasedOnIneligibilityField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("duplicatesInvalidation")]
        public tFactInvalidation[] duplicatesInvalidation
        {
            get
            {
                return this.duplicatesInvalidationField;
            }
            set
            {
                this.duplicatesInvalidationField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("errorsInvalidation")]
        public tFactInvalidation[] errorsInvalidation
        {
            get
            {
                return this.errorsInvalidationField;
            }
            set
            {
                this.errorsInvalidationField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "tFactAssignment", Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tFactAssignment2 : tFactAssignment
    {

        private string uuidField;

        /// <remarks/>
        public string uuid
        {
            get
            {
                return this.uuidField;
            }
            set
            {
                this.uuidField = value;
            }
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(tFactAssignment2))]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    [System.Xml.Serialization.XmlRootAttribute("fact", Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5", IsNullable = false)]
    public partial class tFactAssignment
    {

        private string oszCodeField;

        private tPersonInfo mszReceiverField;

        private tPersonInfo[] reasonPersonsField;

        private string lmszIdField;

        private string lmszProviderCodeField;

        private string categoryIdField;

        private System.DateTime decisionDateField;

        private System.DateTime dateStartField;

        private System.DateTime dateFinishField;

        private bool dateFinishFieldSpecified;

        private tFactAssignmentDocument[] documentsField;

        private tFactAssignmentNeedsCriteria needsCriteriaField;

        private tFactAssignmentAssignmentInfo assignmentInfoField;

        /// <remarks/>
        public string oszCode
        {
            get
            {
                return this.oszCodeField;
            }
            set
            {
                this.oszCodeField = value;
            }
        }

        /// <remarks/>
        public tPersonInfo mszReceiver
        {
            get
            {
                return this.mszReceiverField;
            }
            set
            {
                this.mszReceiverField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("prsnInfo", Namespace = "urn://egisso-ru/types/prsn-info/1.0.3", IsNullable = false)]
        public tPersonInfo[] reasonPersons
        {
            get
            {
                return this.reasonPersonsField;
            }
            set
            {
                this.reasonPersonsField = value;
            }
        }

        /// <remarks/>
        public string lmszId
        {
            get
            {
                return this.lmszIdField;
            }
            set
            {
                this.lmszIdField = value;
            }
        }

        /// <remarks/>
        public string lmszProviderCode
        {
            get
            {
                return this.lmszProviderCodeField;
            }
            set
            {
                this.lmszProviderCodeField = value;
            }
        }

        /// <remarks/>
        public string categoryId
        {
            get
            {
                return this.categoryIdField;
            }
            set
            {
                this.categoryIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime decisionDate
        {
            get
            {
                return this.decisionDateField;
            }
            set
            {
                this.decisionDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime dateStart
        {
            get
            {
                return this.dateStartField;
            }
            set
            {
                this.dateStartField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime dateFinish
        {
            get
            {
                return this.dateFinishField;
            }
            set
            {
                this.dateFinishField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool dateFinishSpecified
        {
            get
            {
                return this.dateFinishFieldSpecified;
            }
            set
            {
                this.dateFinishFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("document", IsNullable = false)]
        public tFactAssignmentDocument[] documents
        {
            get
            {
                return this.documentsField;
            }
            set
            {
                this.documentsField = value;
            }
        }

        /// <remarks/>
        public tFactAssignmentNeedsCriteria needsCriteria
        {
            get
            {
                return this.needsCriteriaField;
            }
            set
            {
                this.needsCriteriaField = value;
            }
        }

        /// <remarks/>
        public tFactAssignmentAssignmentInfo assignmentInfo
        {
            get
            {
                return this.assignmentInfoField;
            }
            set
            {
                this.assignmentInfoField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/prsn-info/1.0.3")]
    [System.Xml.Serialization.XmlRootAttribute("prsnInfo", Namespace = "urn://egisso-ru/types/prsn-info/1.0.3", IsNullable = false)]
    public partial class tPersonInfo
    {

        private string sNILSField;

        private string familyNameField;

        private string firstNameField;

        private string patronymicField;

        private string maidenFamilyNameField;

        private GenderType genderField;

        private System.DateTime birthDateField;

        private string birthPlaceField;

        private string phoneNumberField;

        private string citizenshipField;

        private tPersonInfoIdentityDoc identityDocField;

        private tPersonInfoAddress addressField;

        private string residencePermitInfoField;

        /// <remarks/>
        public string SNILS
        {
            get
            {
                return this.sNILSField;
            }
            set
            {
                this.sNILSField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        public string FamilyName
        {
            get
            {
                return this.familyNameField;
            }
            set
            {
                this.familyNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        public string FirstName
        {
            get
            {
                return this.firstNameField;
            }
            set
            {
                this.firstNameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
        public string Patronymic
        {
            get
            {
                return this.patronymicField;
            }
            set
            {
                this.patronymicField = value;
            }
        }

        /// <remarks/>
        public string MaidenFamilyName
        {
            get
            {
                return this.maidenFamilyNameField;
            }
            set
            {
                this.maidenFamilyNameField = value;
            }
        }

        /// <remarks/>
        public GenderType Gender
        {
            get
            {
                return this.genderField;
            }
            set
            {
                this.genderField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime BirthDate
        {
            get
            {
                return this.birthDateField;
            }
            set
            {
                this.birthDateField = value;
            }
        }

        /// <remarks/>
        public string BirthPlace
        {
            get
            {
                return this.birthPlaceField;
            }
            set
            {
                this.birthPlaceField = value;
            }
        }

        /// <remarks/>
        public string PhoneNumber
        {
            get
            {
                return this.phoneNumberField;
            }
            set
            {
                this.phoneNumberField = value;
            }
        }

        /// <remarks/>
        public string Citizenship
        {
            get
            {
                return this.citizenshipField;
            }
            set
            {
                this.citizenshipField = value;
            }
        }

        /// <remarks/>
        public tPersonInfoIdentityDoc IdentityDoc
        {
            get
            {
                return this.identityDocField;
            }
            set
            {
                this.identityDocField = value;
            }
        }

        /// <remarks/>
        public tPersonInfoAddress Address
        {
            get
            {
                return this.addressField;
            }
            set
            {
                this.addressField = value;
            }
        }

        /// <remarks/>
        public string ResidencePermitInfo
        {
            get
            {
                return this.residencePermitInfoField;
            }
            set
            {
                this.residencePermitInfoField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    public enum GenderType
    {

        /// <remarks/>
        Male,

        /// <remarks/>
        Female,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/prsn-info/1.0.3")]
    public partial class tPersonInfoIdentityDoc
    {

        private object itemField;

        private ItemChoiceType itemElementNameField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("BirthCertificate", typeof(SovietPassportType), Namespace = "urn://egisso-ru/types/basic/1.0.4")]
        [System.Xml.Serialization.XmlElementAttribute("ForeignPassport", typeof(NotRestrictedDocumentType), Namespace = "urn://egisso-ru/types/basic/1.0.4")]
        [System.Xml.Serialization.XmlElementAttribute("MilitaryPassport", typeof(MilitaryPassportDocumentType), Namespace = "urn://egisso-ru/types/basic/1.0.4")]
        [System.Xml.Serialization.XmlElementAttribute("PassportRF", typeof(PassportRFType), Namespace = "urn://egisso-ru/types/basic/1.0.4")]
        [System.Xml.Serialization.XmlElementAttribute("ResidencePermitRF", typeof(InternationalPassportRFType), Namespace = "urn://egisso-ru/types/basic/1.0.4")]
        [System.Xml.Serialization.XmlElementAttribute("TemporaryIdentityCardRF", typeof(NotRestrictedDocumentType), Namespace = "urn://egisso-ru/types/basic/1.0.4")]
        [System.Xml.Serialization.XmlElementAttribute("OtherDocument", typeof(NotRestrictedDocumentType))]
        [System.Xml.Serialization.XmlElementAttribute("RefugeeCertificate", typeof(InternationalPassportRFType))]
        [System.Xml.Serialization.XmlChoiceIdentifierAttribute("ItemElementName")]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public ItemChoiceType ItemElementName
        {
            get
            {
                return this.itemElementNameField;
            }
            set
            {
                this.itemElementNameField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.4")]
    [System.Xml.Serialization.XmlRootAttribute("BirthCertificate", Namespace = "urn://egisso-ru/types/basic/1.0.4", IsNullable = false)]
    public partial class SovietPassportType
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(tFactAlterationBasedOnPreviousErrors))]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(tFactAlterationBasedOnDeathOrMovingRecalculation))]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(tFactAlterationBasedOnRecalculation))]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(tFactTermination))]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(tFactInvalidation))]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tFactModification
    {

        private string uuidField;

        private string assignmentFactUuidField;

        private string providerCodeField;

        /// <remarks/>
        public string uuid
        {
            get
            {
                return this.uuidField;
            }
            set
            {
                this.uuidField = value;
            }
        }

        /// <remarks/>
        public string assignmentFactUuid
        {
            get
            {
                return this.assignmentFactUuidField;
            }
            set
            {
                this.assignmentFactUuidField = value;
            }
        }

        /// <remarks/>
        public string providerCode
        {
            get
            {
                return this.providerCodeField;
            }
            set
            {
                this.providerCodeField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tFactAlterationBasedOnPreviousErrors : tFactModification
    {

        private tFactAssignment factField;

        /// <remarks/>
        public tFactAssignment fact
        {
            get
            {
                return this.factField;
            }
            set
            {
                this.factField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tFactAlterationBasedOnDeathOrMovingRecalculation : tFactModification
    {

        private decimal amountField;

        private System.DateTime dateFinishField;

        /// <remarks/>
        public decimal amount
        {
            get
            {
                return this.amountField;
            }
            set
            {
                this.amountField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime dateFinish
        {
            get
            {
                return this.dateFinishField;
            }
            set
            {
                this.dateFinishField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tFactAlterationBasedOnRecalculation : tFactModification
    {

        private decimal amountField;

        /// <remarks/>
        public decimal amount
        {
            get
            {
                return this.amountField;
            }
            set
            {
                this.amountField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tFactTermination : tFactModification
    {

        private System.DateTime dateFinishField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime dateFinish
        {
            get
            {
                return this.dateFinishField;
            }
            set
            {
                this.dateFinishField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/package-RAF/1.0.5")]
    public partial class tFactInvalidation : tFactModification
    {
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.4")]
    public partial class tAddress
    {

        private string oKSMCodeField;

        private string postIndexField;

        private string regionField;

        private string districtField;

        private string cityField;

        private string streetField;

        private string houseField;

        private string housingField;

        private string apartmentField;

        /// <remarks/>
        public string OKSMCode
        {
            get
            {
                return this.oKSMCodeField;
            }
            set
            {
                this.oKSMCodeField = value;
            }
        }

        /// <remarks/>
        public string PostIndex
        {
            get
            {
                return this.postIndexField;
            }
            set
            {
                this.postIndexField = value;
            }
        }

        /// <remarks/>
        public string Region
        {
            get
            {
                return this.regionField;
            }
            set
            {
                this.regionField = value;
            }
        }

        /// <remarks/>
        public string District
        {
            get
            {
                return this.districtField;
            }
            set
            {
                this.districtField = value;
            }
        }

        /// <remarks/>
        public string City
        {
            get
            {
                return this.cityField;
            }
            set
            {
                this.cityField = value;
            }
        }

        /// <remarks/>
        public string Street
        {
            get
            {
                return this.streetField;
            }
            set
            {
                this.streetField = value;
            }
        }

        /// <remarks/>
        public string House
        {
            get
            {
                return this.houseField;
            }
            set
            {
                this.houseField = value;
            }
        }

        /// <remarks/>
        public string Housing
        {
            get
            {
                return this.housingField;
            }
            set
            {
                this.housingField = value;
            }
        }

        /// <remarks/>
        public string Apartment
        {
            get
            {
                return this.apartmentField;
            }
            set
            {
                this.apartmentField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.4")]
    [System.Xml.Serialization.XmlRootAttribute("MilitaryPassport", Namespace = "urn://egisso-ru/types/basic/1.0.4", IsNullable = false)]
    public partial class MilitaryPassportDocumentType
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.4")]
    [System.Xml.Serialization.XmlRootAttribute("ResidencePermitRF", Namespace = "urn://egisso-ru/types/basic/1.0.4", IsNullable = false)]
    public partial class InternationalPassportRFType
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.4")]
    [System.Xml.Serialization.XmlRootAttribute("ForeignPassport", Namespace = "urn://egisso-ru/types/basic/1.0.4", IsNullable = false)]
    public partial class NotRestrictedDocumentType
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/basic/1.0.4")]
    [System.Xml.Serialization.XmlRootAttribute("PassportRF", Namespace = "urn://egisso-ru/types/basic/1.0.4", IsNullable = false)]
    public partial class PassportRFType
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/prsn-info/1.0.3", IncludeInSchema = false)]
    public enum ItemChoiceType
    {

        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("urn://egisso-ru/types/basic/1.0.4:BirthCertificate")]
        BirthCertificate,

        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("urn://egisso-ru/types/basic/1.0.4:ForeignPassport")]
        ForeignPassport,

        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("urn://egisso-ru/types/basic/1.0.4:MilitaryPassport")]
        MilitaryPassport,

        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("urn://egisso-ru/types/basic/1.0.4:PassportRF")]
        PassportRF,

        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("urn://egisso-ru/types/basic/1.0.4:ResidencePermitRF")]
        ResidencePermitRF,

        /// <remarks/>
        [System.Xml.Serialization.XmlEnumAttribute("urn://egisso-ru/types/basic/1.0.4:TemporaryIdentityCardRF")]
        TemporaryIdentityCardRF,

        /// <remarks/>
        OtherDocument,

        /// <remarks/>
        RefugeeCertificate,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/prsn-info/1.0.3")]
    public partial class tPersonInfoAddress
    {

        private tAddress permanentResidenceField;

        private tAddress temporaryResidenceField;

        private tAddress actualResidenceField;

        /// <remarks/>
        public tAddress PermanentResidence
        {
            get
            {
                return this.permanentResidenceField;
            }
            set
            {
                this.permanentResidenceField = value;
            }
        }

        /// <remarks/>
        public tAddress TemporaryResidence
        {
            get
            {
                return this.temporaryResidenceField;
            }
            set
            {
                this.temporaryResidenceField = value;
            }
        }

        /// <remarks/>
        public tAddress ActualResidence
        {
            get
            {
                return this.actualResidenceField;
            }
            set
            {
                this.actualResidenceField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    public partial class tFactAssignmentDocument
    {

        private string titleField;

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string authorityField;

        private System.DateTime startDateField;

        private System.DateTime finishDateField;

        private bool finishDateFieldSpecified;

        /// <remarks/>
        public string title
        {
            get
            {
                return this.titleField;
            }
            set
            {
                this.titleField = value;
            }
        }

        /// <remarks/>
        public string series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime issueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string authority
        {
            get
            {
                return this.authorityField;
            }
            set
            {
                this.authorityField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime startDate
        {
            get
            {
                return this.startDateField;
            }
            set
            {
                this.startDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime finishDate
        {
            get
            {
                return this.finishDateField;
            }
            set
            {
                this.finishDateField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool finishDateSpecified
        {
            get
            {
                return this.finishDateFieldSpecified;
            }
            set
            {
                this.finishDateFieldSpecified = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    public partial class tFactAssignmentNeedsCriteria
    {

        private bool usingSignField;

        private string criteriaField;

        /// <remarks/>
        public bool usingSign
        {
            get
            {
                return this.usingSignField;
            }
            set
            {
                this.usingSignField = value;
            }
        }

        /// <remarks/>
        public string criteria
        {
            get
            {
                return this.criteriaField;
            }
            set
            {
                this.criteriaField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    public partial class tFactAssignmentAssignmentInfo
    {

        private object itemField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("exemptionForm", typeof(tFactAssignmentAssignmentInfoExemptionForm))]
        [System.Xml.Serialization.XmlElementAttribute("monetaryForm", typeof(tFactAssignmentAssignmentInfoMonetaryForm))]
        [System.Xml.Serialization.XmlElementAttribute("naturalForm", typeof(tFactAssignmentAssignmentInfoNaturalForm))]
        [System.Xml.Serialization.XmlElementAttribute("serviceForm", typeof(tFactAssignmentAssignmentInfoServiceForm))]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    public partial class tFactAssignmentAssignmentInfoExemptionForm
    {

        private decimal amountField;

        private string itemField;

        private ItemChoiceType2 itemElementNameField;

        private bool monetizationField;

        private string commentField;

        private decimal equivalentAmountField;

        /// <remarks/>
        public decimal amount
        {
            get
            {
                return this.amountField;
            }
            set
            {
                this.amountField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("measuryCode", typeof(string))]
        [System.Xml.Serialization.XmlElementAttribute("okeiCode", typeof(string))]
        [System.Xml.Serialization.XmlChoiceIdentifierAttribute("ItemElementName")]
        public string Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public ItemChoiceType2 ItemElementName
        {
            get
            {
                return this.itemElementNameField;
            }
            set
            {
                this.itemElementNameField = value;
            }
        }

        /// <remarks/>
        public bool monetization
        {
            get
            {
                return this.monetizationField;
            }
            set
            {
                this.monetizationField = value;
            }
        }

        /// <remarks/>
        public string comment
        {
            get
            {
                return this.commentField;
            }
            set
            {
                this.commentField = value;
            }
        }

        /// <remarks/>
        public decimal equivalentAmount
        {
            get
            {
                return this.equivalentAmountField;
            }
            set
            {
                this.equivalentAmountField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5", IncludeInSchema = false)]
    public enum ItemChoiceType2
    {

        /// <remarks/>
        measuryCode,

        /// <remarks/>
        okeiCode,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    public partial class tFactAssignmentAssignmentInfoMonetaryForm
    {

        private string amountField;

        /// <remarks/>
        public string amount
        {
            get
            {
                return this.amountField;
            }
            set
            {
                this.amountField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    public partial class tFactAssignmentAssignmentInfoNaturalForm
    {

        private decimal amountField;

        private string itemField;

        private ItemChoiceType1 itemElementNameField;

        private string contentField;

        private string commentField;

        private decimal equivalentAmountField;

        /// <remarks/>
        public decimal amount
        {
            get
            {
                return this.amountField;
            }
            set
            {
                this.amountField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("measuryCode", typeof(string))]
        [System.Xml.Serialization.XmlElementAttribute("okeiCode", typeof(string))]
        [System.Xml.Serialization.XmlChoiceIdentifierAttribute("ItemElementName")]
        public string Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public ItemChoiceType1 ItemElementName
        {
            get
            {
                return this.itemElementNameField;
            }
            set
            {
                this.itemElementNameField = value;
            }
        }

        /// <remarks/>
        public string content
        {
            get
            {
                return this.contentField;
            }
            set
            {
                this.contentField = value;
            }
        }

        /// <remarks/>
        public string comment
        {
            get
            {
                return this.commentField;
            }
            set
            {
                this.commentField = value;
            }
        }

        /// <remarks/>
        public decimal equivalentAmount
        {
            get
            {
                return this.equivalentAmountField;
            }
            set
            {
                this.equivalentAmountField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5", IncludeInSchema = false)]
    public enum ItemChoiceType1
    {

        /// <remarks/>
        measuryCode,

        /// <remarks/>
        okeiCode,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5")]
    public partial class tFactAssignmentAssignmentInfoServiceForm
    {

        private decimal amountField;

        private string itemField;

        private ItemChoiceType3 itemElementNameField;

        private string contentField;

        private string commentField;

        private decimal equivalentAmountField;

        /// <remarks/>
        public decimal amount
        {
            get
            {
                return this.amountField;
            }
            set
            {
                this.amountField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("OKEICode", typeof(string))]
        [System.Xml.Serialization.XmlElementAttribute("measuryCode", typeof(string))]
        [System.Xml.Serialization.XmlChoiceIdentifierAttribute("ItemElementName")]
        public string Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public ItemChoiceType3 ItemElementName
        {
            get
            {
                return this.itemElementNameField;
            }
            set
            {
                this.itemElementNameField = value;
            }
        }

        /// <remarks/>
        public string content
        {
            get
            {
                return this.contentField;
            }
            set
            {
                this.contentField = value;
            }
        }

        /// <remarks/>
        public string comment
        {
            get
            {
                return this.commentField;
            }
            set
            {
                this.commentField = value;
            }
        }

        /// <remarks/>
        public decimal equivalentAmount
        {
            get
            {
                return this.equivalentAmountField;
            }
            set
            {
                this.equivalentAmountField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://egisso-ru/types/assignment-fact/1.0.5", IncludeInSchema = false)]
    public enum ItemChoiceType3
    {

        /// <remarks/>
        OKEICode,

        /// <remarks/>
        measuryCode,
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "PassportRFType", Namespace = "urn://egisso-ru/types/basic/1.0.6")]
    [System.Xml.Serialization.XmlRootAttribute("PassportRF", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
    public partial class PassportRFType1
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "NotRestrictedDocumentType", Namespace = "urn://egisso-ru/types/basic/1.0.6")]
    [System.Xml.Serialization.XmlRootAttribute("ForeignPassport", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
    public partial class NotRestrictedDocumentType1
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "InternationalPassportRFType", Namespace = "urn://egisso-ru/types/basic/1.0.6")]
    [System.Xml.Serialization.XmlRootAttribute("ResidencePermitRF", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
    public partial class InternationalPassportRFType1
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "MilitaryPassportDocumentType", Namespace = "urn://egisso-ru/types/basic/1.0.6")]
    [System.Xml.Serialization.XmlRootAttribute("MilitaryPassport", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
    public partial class MilitaryPassportDocumentType1
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "SovietPassportType", Namespace = "urn://egisso-ru/types/basic/1.0.6")]
    [System.Xml.Serialization.XmlRootAttribute("BirthCertificate", Namespace = "urn://egisso-ru/types/basic/1.0.6", IsNullable = false)]
    public partial class SovietPassportType1
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("AttachmentRef", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class AttachmentRefType
    {

        private string attachmentIdField;

        /// <remarks/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string attachmentId
        {
            get
            {
                return this.attachmentIdField;
            }
            set
            {
                this.attachmentIdField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("PrimaryIdentityDocument", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class PrimaryIdentityDocumentType
    {

        private object itemField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("ForeignPassport", typeof(NotRestrictedDocumentType2))]
        [System.Xml.Serialization.XmlElementAttribute("PassportRF", typeof(PassportRFType2))]
        [System.Xml.Serialization.XmlElementAttribute("ResidencePermitRF", typeof(InternationalPassportRFType2))]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "NotRestrictedDocumentType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("ForeignPassport", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class NotRestrictedDocumentType2
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "PassportRFType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("PassportRF", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class PassportRFType2
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "InternationalPassportRFType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("ResidencePermitRF", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class InternationalPassportRFType2
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("IdentityDocument", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class AnyIdentityDocumentType
    {

        private object itemField;

        private ItemChoiceType4 itemElementNameField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("BirthCertificate", typeof(SovietPassportType2))]
        [System.Xml.Serialization.XmlElementAttribute("DrivingLicenseRF", typeof(DrivingLicenseRFType))]
        [System.Xml.Serialization.XmlElementAttribute("ForeignPassport", typeof(NotRestrictedDocumentType2))]
        [System.Xml.Serialization.XmlElementAttribute("Form9Certificate", typeof(NotRestrictedDocumentType2))]
        [System.Xml.Serialization.XmlElementAttribute("InternationalPassportRF", typeof(InternationalPassportRFType2))]
        [System.Xml.Serialization.XmlElementAttribute("MilitaryPassport", typeof(MilitaryPassportDocumentType2))]
        [System.Xml.Serialization.XmlElementAttribute("PassportLossCertificate", typeof(NotRestrictedDocumentType2))]
        [System.Xml.Serialization.XmlElementAttribute("PassportRF", typeof(PassportRFType2))]
        [System.Xml.Serialization.XmlElementAttribute("ReleaseCertificate", typeof(NotRestrictedDocumentType2))]
        [System.Xml.Serialization.XmlElementAttribute("ResidencePermitRF", typeof(InternationalPassportRFType2))]
        [System.Xml.Serialization.XmlElementAttribute("SailorPassport", typeof(MilitaryPassportDocumentType2))]
        [System.Xml.Serialization.XmlElementAttribute("SovietPassport", typeof(SovietPassportType2))]
        [System.Xml.Serialization.XmlElementAttribute("TemporaryIdentityCardRF", typeof(NotRestrictedDocumentType2))]
        [System.Xml.Serialization.XmlChoiceIdentifierAttribute("ItemElementName")]
        public object Item
        {
            get
            {
                return this.itemField;
            }
            set
            {
                this.itemField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public ItemChoiceType4 ItemElementName
        {
            get
            {
                return this.itemElementNameField;
            }
            set
            {
                this.itemElementNameField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "SovietPassportType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("SovietPassport", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class SovietPassportType2
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("DrivingLicenseRF", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class DrivingLicenseRFType
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(TypeName = "MilitaryPassportDocumentType", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1")]
    [System.Xml.Serialization.XmlRootAttribute("MilitaryPassport", Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IsNullable = false)]
    public partial class MilitaryPassportDocumentType2
    {

        private string seriesField;

        private string numberField;

        private System.DateTime issueDateField;

        private string issuerField;

        /// <remarks/>
        public string Series
        {
            get
            {
                return this.seriesField;
            }
            set
            {
                this.seriesField = value;
            }
        }

        /// <remarks/>
        public string Number
        {
            get
            {
                return this.numberField;
            }
            set
            {
                this.numberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType = "date")]
        public System.DateTime IssueDate
        {
            get
            {
                return this.issueDateField;
            }
            set
            {
                this.issueDateField = value;
            }
        }

        /// <remarks/>
        public string Issuer
        {
            get
            {
                return this.issuerField;
            }
            set
            {
                this.issuerField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "urn://x-artefacts-smev-gov-ru/supplementary/commons/1.0.1", IncludeInSchema = false)]
    public enum ItemChoiceType4
    {

        /// <remarks/>
        BirthCertificate,

        /// <remarks/>
        DrivingLicenseRF,

        /// <remarks/>
        ForeignPassport,

        /// <remarks/>
        Form9Certificate,

        /// <remarks/>
        InternationalPassportRF,

        /// <remarks/>
        MilitaryPassport,

        /// <remarks/>
        PassportLossCertificate,

        /// <remarks/>
        PassportRF,

        /// <remarks/>
        ReleaseCertificate,

        /// <remarks/>
        ResidencePermitRF,

        /// <remarks/>
        SailorPassport,

        /// <remarks/>
        SovietPassport,

        /// <remarks/>
        TemporaryIdentityCardRF,
    }
}